eNICQ 6 - "An existing connection was forcibly closed by the remote host" error

Reported Issue: 

When trying to launch eNICQ 6 you get an error saying "1) A connection was successfully established with the server, but then an error occurred during the login process. (provider SSL Provider, error: 0 - An existing connection was forcibly closed by the remote host.)"

Framework_error.png

 

Root Cause: 

Typically this error message happens when the client application is connecting with the database but the .NET Framework needs to be updated. It needs to be version 4.6.1 or higher. Please see the What Are the eNICQ 6 Minimum Requirements article for more on the minimum requirements for eNICQ 6.

 

Resolution:

The resolution for this would be to upgrade the .NET Framework to version 4.6.1 or higher. You can download any available version of the .NET Framework on Microsoft's website, https://dotnet.microsoft.com/download/dotnet-framework